#include <stdlib.h>
#include <stdio.h>
#include <string.h>

main(int argc, char *argv[])
{
	FILE *f;
	char bf[500];
 	char last[500];
	char *s;

	f = fopen(argv[1],"r");
	for (;!feof(f);) {
	 	if (fgets(bf,300,f)==NULL) break;
		s = strtok(bf,"\t ");
		if (s==NULL) continue;
		if (strcmp(s,last)==0) printf("Duplicates %s\n",s);
		strcpy(last,s);
	}
	fclose(f);
}
